Bug 114217 - DOCX with floating table having 100% width incorrectly imported
Summary: DOCX with floating table having 100% width incorrectly imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2017-12-03 02:54 UTC by Aron Budea
Modified: 2018-02-16 09:24 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (16.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-12-03 02:54 UTC, Aron Budea
Details
Sample DOC (imported correctly) (32.50 KB, application/msword)
2017-12-03 02:57 UTC, Aron Budea
Details
PDF exported from Word (85.85 KB, application/pdf)
2018-02-06 19:10 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-12-03 02:54:40 UTC
Created attachment 138186 [details]
Sample DOCX

Open the attached DOCX. The table falls off the page.

It's a floating table (text wrapping set to Around), and also Preferred width set to 100%.
Based on a bit of debugging it's the 100% width that isn't handled well (treated as absolute number in SectionPropertyMap::FloatingTableConversion(...).

Observed using an LO 6.1 master build (2bfbe3492d443c31c83b830df3f95fad76a58d67) & 4.0.0.3 / Windows 7.
Comment 1 Aron Budea 2017-12-03 02:57:39 UTC
Created attachment 138187 [details]
Sample DOC (imported correctly)

Attaching the same document in DOC format, for reference. The DOC is imported fine.
Comment 2 Aron Budea 2018-02-06 19:10:36 UTC
Created attachment 139644 [details]
PDF exported from Word
Comment 3 Commit Notification 2018-02-07 06:25:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76d6fcd05c630a928dd3bd028d560792d9c904ca

tdf#114217: Consider relative width when importing floating table

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-02-07 17:31:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a34f87f8f97aa6aafd4098cffd214e8d2c3a0ba3&h=libreoffice-6-0

tdf#114217: Consider relative width when importing floating table

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2018-02-16 09:24:14 UTC
Looks good with the fix, thanks, Mike!